org.apache.jmeter.util

## Class XPathQueryCacheLoader

- java.lang.Object
- - org.apache.jmeter.util.XPathQueryCacheLoader

- All Implemented Interfaces:
    com.github.benmanes.caffeine.cache.AsyncCacheLoader<org.apache.commons.lang3.tuple.ImmutablePair<String,String>,net.sf.saxon.s9api.XPathExecutable>, com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.ImmutablePair<String,String>,net.sf.saxon.s9api.XPathExecutable>

      public class XPathQueryCacheLoader
      extends Object
      implements com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.ImmutablePair<String,String>,net.sf.saxon.s9api.XPathExecutable>

  load method is called when the key composed of namespaces + xPathQuery is not in the cache. Return the compiled XPathQuery with the associated namespaces.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathQueryCacheLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.s9api.XPathExecutable` | `load(org.apache.commons.lang3.tuple.ImmutablePair<String,String> key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.github.benmanes.caffeine.cache.CacheLoader

      `asyncLoad, asyncLoadAll, asyncReload, loadAll, reload`

- - ### Constructor Detail

    - #### XPathQueryCacheLoader

          public XPathQueryCacheLoader()

  - ### Method Detail

    - #### load

          public net.sf.saxon.s9api.XPathExecutable load(org.apache.commons.lang3.tuple.ImmutablePair<String,String> key)
                                                  throws Exception

      Specified by:
        `load` in interface `com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.ImmutablePair<String,String>,net.sf.saxon.s9api.XPathExecutable>`
      Throws:
        `Exception`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.